Nicolas Cannasse | 1 Oct 15:02 2006

Re: The Computer Language Shootout Benchmarks

> Neko has been installed on the Gentoo Intel machine.
> 
> So far there are 4 working Neko programs out of 18.
> 
> best wishes, Isaac

Thanks Isaac,

If they are people interested in contributing additional Neko shootout
benchmarks, please either follow the steps on
http://shootout.alioth.debian.org/gp4/faq.php?#contributeprogram or send
the benchmark on the list and I will post them there.

Best,
Nicolas

--

-- 
Neko : One VM to run them all
(http://nekovm.org)

Isaac Gouy | 1 Oct 17:57 2006
Picon

Re: The Computer Language Shootout Benchmarks

> If they are people interested in contributing additional Neko
> shootout benchmarks, please either follow the steps on
> http://shootout.alioth.debian.org/gp4/faq.php?#contributeprogram or
> send the benchmark on the list and I will post them there.

People should follow the steps on
http://shootout.alioth.debian.org/gp4/faq.php?#contributeprogram

(I don't believe Nicolas is able to agree to the license conditions on
behalf of the program authors.)

__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com 

--

-- 
Neko : One VM to run them all
(http://nekovm.org)

Doug Currie | 3 Oct 00:17 2006
Picon

NEKO_EXEC in Windows MinGW/MSYS

Hello Nicolas,

Windows MinGW/MSYS doesn't do much with LD_LIBRARY_PATH.

I found that adding the Makefile line

NEKO_EXEC = PATH="../bin:${PATH}" NEKOPATH=../boot:../bin ../bin/neko

inside the section

ifeq (${WIN32}, 1)
endif

helped with some build problems, e.g., 'make doc'.

Regards,

e

--

-- 
Neko : One VM to run them all
(http://nekovm.org)

irfan baig | 3 Oct 02:03 2006
Picon

compile error (due to apache2?)

Hello folks - I'm trying to compile neko according to the instructions here:
http://haxe.org/compile

Neko was downloaded from CVS.

I'm Linux 2.6.15-27-386 (Ubuntu Dapper), but with Apache2 installed
from source. Any thoughts?

I get the following errors:
---
Compiling mod_neko...
gcc -O3 -fPIC -c -I../../vm -I/usr/local/apache2/include
-I/usr/include/apache2 -I/usr/local/apache/include
-I/usr/apache/include -I/usr/local/include/mysql -I/usr/include/mysql
-I/usr/include -I/usr/local/include -I/usr/include/apr-0/
-I/usr/include/apr-1/ -I/usr/local/include/apr-0/
-I/usr/local/include/apr-1/ mod_neko.c
In file included from /usr/local/apache2/include/ap_config.h:25,
                 from /usr/local/apache2/include/httpd.h:43,
                 from mod_neko.h:20,
                 from mod_neko.c:17:
/usr/local/apache2/include/apr.h:270: error: syntax error before 'apr_off_t'
/usr/local/apache2/include/apr.h:270: warning: data definition has no
type or storage class
In file included from /usr/local/apache2/include/apr_file_io.h:29,
                 from /usr/local/apache2/include/apr_network_io.h:26,
                 from /usr/local/apache2/include/httpd.h:53,
                 from mod_neko.h:20,
                 from mod_neko.c:17:
/usr/local/apache2/include/apr_file_info.h:204: error: syntax error
(Continue reading)

Nicolas Cannasse | 3 Oct 10:11 2006

Re: compile error (due to apache2?)

> Hello folks - I'm trying to compile neko according to the instructions here:
> http://haxe.org/compile
> 
> Neko was downloaded from CVS.
> 
> I'm Linux 2.6.15-27-386 (Ubuntu Dapper), but with Apache2 installed
> from source. Any thoughts?

Not sure why this is happening. Maybe try to install an Apache2.2.3-dev
version ?

Best,
Nicolas

--

-- 
Neko : One VM to run them all
(http://nekovm.org)

Nicolas Cannasse | 6 Oct 17:09 2006

Maintenance

Hi list,

The haXe, MTASC and Neko lists as well as their corresponding websites
will be down for 24 hours between Monday and Tuesday during the time we
are moving our servers into a different datacenter in Paris.

Sorry for the inconvenience,
Nicolas

--

-- 
haXe - an open source web programming language
http://haxe.org

Jason Jobe | 13 Oct 22:29 2006

problem w/ OSX and mod_neko

I've tried several tactics including copying libneko.dylib to /usr/lib

but I still get

jason% sudo apachectl configtest               Syntax error on line  
243 of /etc/httpd/httpd.conf:
API module structure `neko_module' in file /usr/local/lib/ 
mod_neko.ndll is garbled - perhaps this is not an Apache module DSO?

when trying to install. I've built and rebuilt neko natively.

any suggestions are most appreciated.

thanks,
Jason

--

-- 
Neko : One VM to run them all
(http://nekovm.org)

Nicolas Cannasse | 16 Oct 09:30 2006

Re: problem w/ OSX and mod_neko

> but I still get
> 
> jason% sudo apachectl configtest               Syntax error on line  
> 243 of /etc/httpd/httpd.conf:
> API module structure `neko_module' in file /usr/local/lib/ 
> mod_neko.ndll is garbled - perhaps this is not an Apache module DSO?
> 
> when trying to install. I've built and rebuilt neko natively.
> 
> any suggestions are most appreciated.

You maybe have both Apache 1.3 and 2.0 installed ?
Try setting up the include paths in neko/src/tools/install.neko so that
you are sure that mod_neko is compiled for the version of Apache you are
running.

Nicolas

--

-- 
Neko : One VM to run them all
(http://nekovm.org)

Jens Peter Secher | 29 Oct 14:57 2006
Picon

Re: [haxe] Help installing on Linux

On 10/27/06, Michael Pliskin <pl <at> tepkom.ru> wrote:

> Yes, there are two versions of mod_neko, each for different apache..

Really?  I can only find one source package, namely neko-1.4.tar.gz,
and it does not seem to have a way to configure for different versions
of apache, or did I miss something?

> And there were some talks in haxe/neko mailing list about that
> recently I think - but I also think you're following yourself.. ;)

I am now follwing both haXe and Neko mailing lists.

> But that would be nice, compiling neko each time is quite a bottleneck.

I am making a Debian package, but I have run into problems.  I can
compile everything, and put it in the following places:

/usr/lib/neko/libneko.so
/usr/lib/neko/mod_neko.ndll
/usr/lib/neko/mysql.ndll
/usr/lib/neko/neko
/usr/lib/neko/nekoc
/usr/lib/neko/nekoml
/usr/lib/neko/nekotools
/usr/lib/neko/regexp.ndll
/usr/lib/neko/sqlite.ndll
/usr/lib/neko/std.ndll
/usr/lib/neko/test.n
/usr/lib/neko/zlib.ndll
(Continue reading)

Michael Pliskin | 29 Oct 18:33 2006
Picon

Re: [haxe] Help installing on Linux

Hello Jens,

JPS> Really?  I can only find one source package, namely neko-1.4.tar.gz,
JPS> and it does not seem to have a way to configure for different versions
JPS> of apache, or did I miss something?

At least there are two MS Visual Studio projects - mod_neko.vcproj and
mod_neko2.vcproj - and their configuration settings are different. I
think Linux makefile chooses which version to compile depending on the
headers it finds (but maybe I'm wrong in that, Nicolas knows better I
believe).

BTW maybe this only works for the latest SVN sources.. But not sure
about that.

JPS> I am making a Debian package, but I have run into problems.  I can
JPS> compile everything, and put it in the following places:

JPS> /usr/lib/neko/libneko.so
JPS> /usr/lib/neko/mod_neko.ndll
JPS> /usr/lib/neko/mysql.ndll
JPS> /usr/lib/neko/neko
JPS> /usr/lib/neko/nekoc
JPS> /usr/lib/neko/nekoml
JPS> /usr/lib/neko/nekotools
JPS> /usr/lib/neko/regexp.ndll
JPS> /usr/lib/neko/sqlite.ndll
JPS> /usr/lib/neko/std.ndll
JPS> /usr/lib/neko/test.n
JPS> /usr/lib/neko/zlib.ndll
(Continue reading)


Gmane